org.eclipse.zest.layouts.algorithms

## Class HorizontalTreeLayoutAlgorithm

- java.lang.Object
- - org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm
  - - org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm
    - - org.eclipse.zest.layouts.algorithms.HorizontalTreeLayoutAlgorithm

All Implemented Interfaces:
  LayoutAlgorithm, Stoppable

    public class HorizontalTreeLayoutAlgorithm
    extends TreeLayoutAlgorithm

A simple algorithm to arrange graph nodes in a layered horizontal tree-like layout.

See Also:
  `TreeLayoutAlgorithm`

### Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

### Constructor Summary

Constructors
Constructor and Description
`HorizontalTreeLayoutAlgorithm()` Creates a horizontal tree layout with no style
`HorizontalTreeLayoutAlgorithm(int styles)`

### Method Summary

Methods
`protected boolean` `isValidConfiguration(boolean asynchronous, boolean continueous)` Determines if the configuration is valid for this layout
`protected void` `postLayoutAlgorithm(org.eclipse.zest.layouts.dataStructures.InternalNode[] entitiesToLayout, org.eclipse.zest.layouts.dataStructures.InternalRelationship[] relationshipsToConsider)` Code called after the layout algorithm ends
`protected void` `preLayoutAlgorithm(org.eclipse.zest.layouts.dataStructures.InternalNode[] entitiesToLayout, org.eclipse.zest.layouts.dataStructures.InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)` Executes this TreeLayoutAlgorithm layout algorithm by referencing the data stored in the repository system.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm

`applyLayoutInternal, getCurrentLayoutStep, getRoots, getTotalNumberOfLayoutSteps, setLayoutArea`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`addEntity, addProgressListener, addRelationship, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HorizontalTreeLayoutAlgorithm

    public HorizontalTreeLayoutAlgorithm()

Creates a horizontal tree layout with no style

#### HorizontalTreeLayoutAlgorithm

    public HorizontalTreeLayoutAlgorithm(int styles)

### Method Detail

#### preLayoutAlgorithm

    protected void preLayoutAlgorithm(org.eclipse.zest.layouts.dataStructures.InternalNode[] entitiesToLayout,
                          org.eclipse.zest.layouts.dataStructures.InternalRelationship[] relationshipsToConsider,
                          double x,
                          double y,
                          double width,
                          double height)

Description copied from class: `TreeLayoutAlgorithm`
Executes this TreeLayoutAlgorithm layout algorithm by referencing the data stored in the repository system. Once done, the result will be saved to the data repository.

Overrides:
  `preLayoutAlgorithm` in class `TreeLayoutAlgorithm`
Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.

#### postLayoutAlgorithm

    protected void postLayoutAlgorithm(org.eclipse.zest.layouts.dataStructures.InternalNode[] entitiesToLayout,
                           org.eclipse.zest.layouts.dataStructures.InternalRelationship[] relationshipsToConsider)

Description copied from class: `AbstractLayoutAlgorithm`
Code called after the layout algorithm ends

Overrides:
  `postLayoutAlgorithm` in class `TreeLayoutAlgorithm`

#### isValidConfiguration

    protected boolean isValidConfiguration(boolean asynchronous,
                               boolean continueous)

Description copied from class: `AbstractLayoutAlgorithm`
Determines if the configuration is valid for this layout

Overrides:
  `isValidConfiguration` in class `TreeLayoutAlgorithm`